<!DOCTYPE html>
<!-- The HTML document structure begins here -->
<html lang="en">
<head>
    <meta charset="UTF-8">
    <!-- Ensuring proper rendering and touch zooming -->
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Computer Components Order Form</title>
    <!-- Bootstrap CSS for styling -->
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@3.4.1/dist/css/bootstrap.min.css" integrity="sha384-HSMxcRTRxnN+Bdg0JdbxYKrThecOKuH5zCYotlSAcp1+c8xmyTe9GYg1l9a69psu" crossorigin="anonymous">
    <link rel="stylesheet" href="/css/styles.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/2.3.1/jspdf.umd.min.js"></script>
</head>
<body>
    <!-- Main container for the order form -->
    <div class="container my-4">
        <h2>Order Form for Computer Components</h2>
        <!-- Form for order details -->
        <form id="orderForm">
            <!-- Input for customer's name -->
            <div class="form-group mb-3">
                <label for="customerName">Name</label>
                <input type="text" class="form-control" id="customerName" placeholder="Enter your name">
            </div>
            <!-- Input for customer's email -->
            <div class="form-group mb-3">
                <label for="customerEmail">Email address</label>
                <input type="email" class="form-control" id="customerEmail" placeholder="Enter email">
            </div>
            <!-- Operating System Selection -->
            <div class="form-group mb-3">
                <label for="osSelect">Operating System</label>
                <select class="form-control" id="osSelect" onchange="updateModelOptions()">
                    <option value="select">Select an Operating System</option>
                    <option value="macOS">macOS</option>
                    <option value="Windows">Windows</option>
                </select>
            </div>
            <div id="modelOptions">
                <div class="form-group mb-3">
                    <label for="modelSelect">Models</label>
                    <select class="form-control" id="modelSelect"></select>
                </div>
            </div>
            <div id="configOptions"></div>
            <!-- Button to add the selected configuration to the basket -->
            <button type="button" class="btn btn-success mb-3" onclick="addToBasket()">Add to Basket</button>
        </form>
        <!-- Section for displaying the shopping basket -->
        <div class="basket" id="basket">
            <h3>Shopping Basket</h3>
            <ul id="basketList"></ul>
            <div>Total: <span id="totalPrice">$0</span></div>
            <button type="button" class="btn btn-primary" onclick="placeOrder()">Place Order</button>
        </div>
        <!-- Section for displaying the order confirmation -->
        <div class="order-confirmation" id="orderConfirmation"></div>
    </div>
    <!-- Linking the JavaScript file -->
    <script src="/js/orderFormScript.js"></script>
</body>
</html>
